
import java.awt.*;
import objectdraw.*;

/*
 * BrocolliPart is an interface for pieces of broccoli.
 * 
 * Williams College CSC 134
 * Updated by Jim Teresco for CSC 252, The College of Saint Rose, Fall 2013
 * 
 * $Id: BroccoliPart.java 2244 2013-11-06 04:54:22Z terescoj $

 */
public interface BroccoliPart {
    
    // amount to move the broccoli part
    public void move(double x, double y);

    // whether a point is contained in the broccoli part
    public boolean contains(Location point);
}
